> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/pl/tworzenie/chiliz-chain-api.md).

# Chiliz Chain API

Dokumentacja REST API Chiliz Chain: podaż CHZ w obiegu według bloku, dane stakingowe według adresu, specyfikacja OpenAPI v3 oraz dokumentacja Swagger na cc-api.chiliz.com.

Chiliz Chain API zapewnia dostęp do przydatnych informacji o podaży CHZ i zarządzaniu, w tym szczegółów dotyczących podaży w obiegu do określonego bloku oraz informacji o stakingu dla danego adresu.

## Szczegóły API

### Bazowy URL

Bazowy URL API to `https://cc-api.chiliz.com/`

Domyślna dokumentacja Swagger jest dostępna tutaj: <https://cc-api.chiliz.com/docs>

### Uwierzytelnianie

Chiliz Chain API korzysta ze specyfikacji [OpenAPI Specification](https://www.openapis.org/) (OAS) v3.0.3 do definiowania schematów bezpieczeństwa.

Zapoznaj się ze [specyfikacją OAS 3.0](https://spec.openapis.org/oas/v3.0.3.html), aby poznać szczegóły dotyczące uwierzytelniania, ponieważ konkretne metody uwierzytelniania nie są opisane w tej dokumentacji.

### Format danych

Wszystkie żądania i odpowiedzi są w formacie JSON.

## Endpointy

### GET /supply

Pobiera aktualną podaż CHZ w obiegu do określonego numeru bloku, wraz z informacjami o inflacji i deflacji specyficznymi dla danego bloku.

## GET /supply

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/supply":{"get":{"parameters":[{"schema":{"type":"number"},"in":"query","name":"block","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"block":{"type":"string"},"totalSupply":{"type":"string"},"blockDeflation":{"type":"string"},"blockInflation":{"type":"string"},"totalBurnedSupply":{"type":"string"},"totalIntroducedSupply":{"type":"string"}},"required":["block","totalSupply","blockDeflation","blockInflation","totalBurnedSupply","totalIntroducedSupply"],"additionalProperties":false}}}}}}}}}
```

### GET /staker-info

Pobiera aktualną łączną zestakowaną kwotę i nagrody za staking dla określonego adresu do określonego numeru epoki, wraz ze szczegółami dotyczącymi miejsca, w którym CHZ jest stakowane (walidatorzy i kwoty).

## GET /staker-info

>

```json
{"openapi":"3.0.3","info":{"title":"Chiliz Chain API","version":"0.1.0"},"paths":{"/staker-info":{"get":{"parameters":[{"schema":{"type":"string"},"in":"query","name":"validator","required":false},{"schema":{"type":"string"},"in":"query","name":"staker","required":true},{"schema":{"type":"number"},"in":"query","name":"toEpoch","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"totalRewards":{"type":"string"},"stakedAmount":{"type":"string"},"allStakes":{"type":"array","items":{"type":"object","properties":{"validator":{"type":"string"},"stakedAmount":{"type":"number"}},"required":["validator","stakedAmount"],"additionalProperties":false}}},"required":["totalRewards","stakedAmount","allStakes"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chiliz.com/pl/tworzenie/chiliz-chain-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
